Page MenuHomePhabricator

Vagrant+TMH: webm transcodes don't play in Firefox (upstream Ubuntu/avconv issue)
Closed, ResolvedPublic

Description

TimedMediaHandler uses avconv to transcode videos to various resolutions of .webm; however the version as shipped with Trusty (which the current MediaWiki-Vagrant uses) appears to be broken and produces files that don't play correctly in Firefox.

Upstream bug in Ubuntu tracker: https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1323822

This is apparently fixed in avconv 9.14. If the fix isn't backported to Trusty, we may have to override the version of avconv we install.

What are the production transcode servers running?


Version: unspecified
Severity: normal
URL: https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1323822
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=67953

Details

Reference
bz67951

Related Objects

StatusAssignedTask
Resolvedbrion
DeclinedNone
ResolvedKrinkle
Resolvedfgiunchedi
Resolvedakosiaris
Resolvedhashar
Resolvedakosiaris
ResolvedAndrew
ResolvedJoe
Resolvedtstarling
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedDzahn
ResolvedJoe
Duplicatefgiunchedi
Resolvedbrion
Resolvedbrion
Resolvedbd808
ResolvedJoe
DeclinedArielGlenn
ResolvedArielGlenn
Resolvedori
DeclinedNone
ResolvedMoritzMuehlenhoff

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:27 AM
bzimport set Reference to bz67951.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Jul 13 2014, 4:45 PM

Based on error messages from production:

avconv version 0.8.10-4:0.8.10-0ubuntu0.12.04.1, Copyright (c) 2000-2013 the Libav developers

built on Feb  6 2014 20:56:59 with gcc 4.6.3

[..]
[libvpx @ 0x1048500] v1.1.0

bd808 added a comment.Nov 17 2014, 9:35 PM

Bulk unassigning bugs from Ori.

bd808 added a subscriber: bd808.Dec 30 2014, 1:35 AM

@brion or @Bawolff can you retest this? There is a comment on the upstream bug that seems to indicate this was fixed in July.

bd808 changed the task status from Open to Stalled.Dec 30 2014, 1:35 AM
bd808 triaged this task as Low priority.
brion closed this task as Resolved.Aug 17 2015, 3:26 PM
brion claimed this task.
bd808 moved this task from Backlog to Done on the MediaWiki-Vagrant board.Dec 7 2015, 12:52 AM